library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity bunnsyuu is
	port(	CLK,RESET :in std_logic;
		Q :out std_logic);
end bunnsyuu;

architecture RTL of bunnsyuu is

signal Q_SIG : std_logic;
signal COUNT : integer range 0 to 399;

begin
	Q <= Q_SIG;
	process (CLK) begin
		if(CLK'event and CLK='1')then
			if(RESET='1') then
				COUNT <= 0;
				Q_SIG <= '0';
			elsif(RESET='0') then
				if(COUNT=399) then
					COUNT <= 0;
					Q_SIG <= not Q_SIG;
				else 
					COUNT <= COUNT + 1;
				end if;
			end if;
		end if;
	end process;
end RTL;

