--produced by takemu!
--2001/10/17 ver1.0
 
library IEEE;
use IEEE.std_logic_1164.all;

entity FLAG is
	port(	CLK			: in	std_logic;
			SET_P		: in	std_logic;
			RESET_P		: in	std_logic;
			B_RESET		: in	std_logic;
			FLAG_OUT	: out	std_logic
	);
end FLAG;

architecture RTL of FLAG is

signal FLAG_DUM	: std_logic;
begin
	process(CLK)	begin	
		if(CLK'event and CLK='0') then
			if(B_RESET='1') then
				FLAG_DUM <='0';
			elsif(RESET_P ='1') then
				FLAG_DUM <= '0';
			elsif(SET_P ='1') then
				FLAG_DUM <= '1';

			end if;
		end if;
	end process;
FLAG_OUT <= FLAG_DUM;
end RTL;
