LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY IRS_SEL3 IS
	PORT
	(
		clk,reset			: IN	STD_LOGIC;
		IR_S				: IN	STD_LOGIC;
		IRS_NUM				: OUT	STD_LOGIC_vector(2 downto 0);
		IR_OUT				: OUT 	STD_LOGIC
	);
	
END IRS_SEL3;
ARCHITECTURE RTL OF IRS_SEL3 IS
SIGNAL IRS_SELECT : std_logic;
begin
	process(reset,clk)
	begin
		if(reset = '1') then	
			IRS_SELECT <= '0';	
		elsif (clk'EVENT and clk = '1') then	
			IRS_SELECT <= '1';
		else	
			IRS_SELECT <= IRS_SELECT;
		end if;	
	end process;
	process(IRS_SELECT,IR_S)
	begin
		if(IRS_SELECT ='1') then
			IRS_NUM <= "100";
			IR_OUT <=  IR_S;
		else
			IR_OUT <= '0';
		end if;
	end process;
END RTL;

