library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity ax2_counter is
	port(CLK,RESET : in std_logic;
		TIM : out std_logic);

end ax2_counter;

architecture RTL of ax2_counter is
signal COUNT_IN : std_logic_vector(3 downto 0);
begin
	process(CLK,RESET) begin
		if(RESET='1') then
			COUNT_IN <= "0000";
			TIM <= '0';
		elsif(CLK'event and CLK='1') then
				COUNT_IN <= COUNT_IN + '1';
				if(COUNT_IN = "1111")then
					TIM <= '1';
				end if;
		end if;
	end process;
end RTL;

