library ieee;
use ieee.std_logic_1164.all;

entity flag_latch is
port(	CLK		:	in std_logic;
		RESET	:	in std_logic;
		flag	:	in std_logic;
		out_flag	:	out std_logic);
end flag_latch;

architecture RTL of flag_latch is

signal Q	:	std_logic;

begin
	out_flag <= Q;
process(CLK)begin
	if(CLK'event and CLK='1')then
		if(RESET='1')then
			Q <= '0';
		else
			Q <= flag;
		end if;
	else
		Q <= Q;
	end if;
end process;
end RTL;
