LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY MPC_SEL IS
	PORT
	(
		MPC_ADD0		: IN	STD_LOGIC;
		MPC_ADD1		: IN	STD_LOGIC;
		MPC_OUT0		: OUT	STD_LOGIC;
		MPC_OUT1		: OUT	STD_LOGIC);
END MPC_SEL;

ARCHITECTURE RTL OF MPC_SEL IS
	SIGNAL	TMP	: STD_LOGIC_vector(1 downto 0);
begin
process(TMP)
begin
	TMP <= (MPC_ADD0 & MPC_ADD1);
	if (TMP="10") then
		MPC_OUT0 <= '1';
		MPC_OUT1 <= '0';
	elsif (TMP="01") then
		MPC_OUT0 <= '0';
		MPC_OUT1 <= '1';
	else
		MPC_OUT0 <= '0';
		MPC_OUT1 <= '0';
	end if;
end process;
end RTL;



