LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

ENTITY USS_SELECT IS
	PORT
	(
		DATA	: IN	STD_LOGIC_VECTOR(1 downto 0);	
		A		: IN	STD_LOGIC;
		X		: OUT	STD_LOGIC_VECTOR(1 downto 0));
END USS_SELECT;

ARCHITECTURE RTL OF USS_SELECT IS
	SIGNAL	B	: STD_LOGIC_VECTOR(1 downto 0);
begin
X <= B;
process(A)
begin
	if (A'event and A='1') then
		case DATA is
		when "00" => B <= "01";
		when "01" => B <= "10";
		when others	=> B <= "00";
		end case;
	end if;
end process;
end RTL;
